[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCtrlBand.BandRect

Contains the bounds for the band control.

## Declaration

Source position: extctrls.pp line 1544

`public property TCtrlBand.BandRect : TRect read GetBandRect write SetBandRect;`

## Description

BandRect is a TRect property which contains the bounds for the band control. BandRect is used in methods which set the layout and placement for the band control, like InitializeBand and MoveBand.

Values in BandRect are read from the Left, Right, Width, and Height properties in the control. When setting the value for the property, the Left, Right, Width, and Height properties are updated using the values provided in the rectangle.